Bug Hunting Session
Bug 95685 - [RFE] Spelling and Grammar - add full formating preview of related text area
Summary: [RFE] Spelling and Grammar - add full formating preview of related text area
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.0.2.2 release
Hardware: All All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Matters-to-Caolan
  Show dependency treegraph
 
Reported: 2015-11-08 22:54 UTC by jirib
Modified: 2017-09-18 15:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
a screenshot for consideration (135.69 KB, image/png)
2015-11-08 22:54 UTC, jirib
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jirib 2015-11-08 22:54:27 UTC
Created attachment 120397 [details]
a screenshot for consideration

[RFE] Spelling and Grammer - add full formating preview of related text area.

In BZ95681 I described that Spelling and Grammer dialog does not show correctly chemical formulas. It is probably because this area is mainly dedicated to editing the text. But it can still bring confusion to users which could think some pattern is incorrently formated (italic, chemical formulas etc...).

It would be great if Spelling and Grammer dialog would be extended for another area, a "preview area" which would show full formating visibility of related text.

- a preview area, a it is visible in text windows itself
- current edit area where user does quick editing
- offers for replacement

Maybe it would be even better to drop "plain-text" editing and offer full formating editing in the dialog ???

I'm attaching for consideration a screenshot from Finereader where you can see Verification dialog which consist of a preview area at the top, below an area for editing.
Comment 1 Buovjaga 2015-11-12 09:33:55 UTC
Puntin this to UX as well.
Comment 2 V Stuart Foote 2015-11-12 15:23:20 UTC
To NEW.  But, in terms of utility bug 95681 is probably more reasonable approach for broader project needs of LibreOffice. Were we to ever implement an OCR module within LO this would be necessary. Short of that, displaying progress of spell-check on a full page rendering IMHO serves little purpose. Providing option of displaying formatting & layout details in the spell-check dialog would suffice.

I'd say WONTFIX, but will leave open for others to comment.
Comment 3 Robinson Tryon (qubit) 2016-08-25 05:39:31 UTC Comment hidden (obsolete)
Comment 4 Heiko Tietze 2017-09-18 15:07:14 UTC
Rather than enhancing the hell out of the spelling dialog we should provide an alternative workflow via the sidebar. So in agreement with Stuart's argument of less benefit for a lot of effort let's close this ticket as WF.